import {
  Entity,
  PointGraphics,
  PolylineGraphics,
  useCesium,
  PathGraphics,
  EllipseGraphics,
} from "resium";
import { Color, Cartesian3 } from "cesium";
import { Fragment } from "react";

function Watervapor() {
  return (
    <Fragment>
      <Entity position={Cesium.Cartesian3.fromDegreesArray([-100.0, 40.0])}>
        <PolylineGraphics
          positions={Cesium.Cartesian3.fromDegreesArray([
            -100.0, 40.0, -90.0, 40.0,
          ])}
          width={5}
          material={new Color(0.73, 0.94, 0.95, 0.8)}
          semiMinorAxis={150000.0}
          semiMajorAxis={150000.0}
          extrudedHeight={200000.0}
          rotation={0.78539}
          // outline
        />
      </Entity>
    </Fragment>
  );
}

export default Watervapor;
